Liblinphone: linphone::ImNotifPolicy Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::ImNotifPolicy Class Reference

Policy to use to send/receive instant messaging composing/delivery/display notifications. More...

`#include <im_notif_policy.hh>`

Inheritance diagram for linphone::ImNotifPolicy:

## Public Member Functions
LINPHONECXX_PUBLIC | ImNotifPolicy (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneImNotifPolicy * | cPtr ()
LINPHONECXX_PUBLIC bool | getRecvImdnDelivered () const
| Tell whether imdn delivered notifications are being notified when received.
LINPHONECXX_PUBLIC void | setRecvImdnDelivered (bool enable)
| Enable imdn delivered notifications receiving.
LINPHONECXX_PUBLIC bool | getRecvImdnDeliveryError () const
| Tell whether imdn delivery error notifications are being notified when received.
LINPHONECXX_PUBLIC void | setRecvImdnDeliveryError (bool enable)
| Enable imdn delivery error notifications receiving.
LINPHONECXX_PUBLIC bool | getRecvImdnDisplayed () const
| Tell whether imdn displayed notifications are being notified when received.
LINPHONECXX_PUBLIC void | setRecvImdnDisplayed (bool enable)
| Enable imdn displayed notifications receiving.
LINPHONECXX_PUBLIC bool | getRecvIsComposing () const
| Tell whether is_composing notifications are being notified when received.
LINPHONECXX_PUBLIC void | setRecvIsComposing (bool enable)
| Enable is_composing notifications receiving.
LINPHONECXX_PUBLIC bool | getSendImdnDelivered () const
| Tell whether imdn delivered notifications are being sent.
LINPHONECXX_PUBLIC void | setSendImdnDelivered (bool enable)
| Enable imdn delivered notifications sending.
LINPHONECXX_PUBLIC bool | getSendImdnDeliveryError () const
| Tell whether imdn delivery error notifications are being sent.
LINPHONECXX_PUBLIC void | setSendImdnDeliveryError (bool enable)
| Enable imdn delivery error notifications sending.
LINPHONECXX_PUBLIC bool | getSendImdnDisplayed () const
| Tell whether imdn displayed notifications are being sent.
LINPHONECXX_PUBLIC void | setSendImdnDisplayed (bool enable)
| Enable imdn displayed notifications sending.
LINPHONECXX_PUBLIC bool | getSendIsComposing () const
| Tell whether is_composing notifications are being sent.
LINPHONECXX_PUBLIC void | setSendIsComposing (bool enable)
| Enable is_composing notifications sending.
LINPHONECXX_PUBLIC void | clear ()
| Clear an IM notif policy (deactivate all receiving and sending of notifications).
LINPHONECXX_PUBLIC void | enableAll ()
| Enable all receiving and sending of notifications.

## Detailed Description

Policy to use to send/receive instant messaging composing/delivery/display notifications.

The sending of this information is done as in the RFCs 3994 (is_composing) and 5438 (imdn delivered/displayed).

## Member Function Documentation

## ◆ clear()

LINPHONECXX_PUBLIC void linphone::ImNotifPolicy::clear | ( |  | ) |

Clear an IM notif policy (deactivate all receiving and sending of notifications).

Note: Error IMDN must be enabled for Lime recovery mechanism

## ◆ getRecvImdnDelivered()

LINPHONECXX_PUBLIC bool linphone::ImNotifPolicy::getRecvImdnDelivered | ( |  | ) | const

Tell whether imdn delivered notifications are being notified when received.

Returns
  Boolean value telling whether imdn delivered notifications are being notified when received.

## ◆ getRecvImdnDeliveryError()

LINPHONECXX_PUBLIC bool linphone::ImNotifPolicy::getRecvImdnDeliveryError | ( |  | ) | const

Tell whether imdn delivery error notifications are being notified when received.

Returns
  Boolean value telling whether imdn delivery error notifications are being notified when received.

## ◆ getRecvImdnDisplayed()

LINPHONECXX_PUBLIC bool linphone::ImNotifPolicy::getRecvImdnDisplayed | ( |  | ) | const

Tell whether imdn displayed notifications are being notified when received.

Returns
  Boolean value telling whether imdn displayed notifications are being notified when received.

## ◆ getRecvIsComposing()

LINPHONECXX_PUBLIC bool linphone::ImNotifPolicy::getRecvIsComposing | ( |  | ) | const

Tell whether is_composing notifications are being notified when received.

Returns
  Boolean value telling whether is_composing notifications are being notified when received.

## ◆ getSendImdnDelivered()

LINPHONECXX_PUBLIC bool linphone::ImNotifPolicy::getSendImdnDelivered | ( |  | ) | const

Tell whether imdn delivered notifications are being sent.

Returns
  Boolean value telling whether imdn delivered notifications are being sent.

## ◆ getSendImdnDeliveryError()

LINPHONECXX_PUBLIC bool linphone::ImNotifPolicy::getSendImdnDeliveryError | ( |  | ) | const

Tell whether imdn delivery error notifications are being sent.

Returns
  Boolean value telling whether imdn delivery error notifications are being sent.

## ◆ getSendImdnDisplayed()

LINPHONECXX_PUBLIC bool linphone::ImNotifPolicy::getSendImdnDisplayed | ( |  | ) | const

Tell whether imdn displayed notifications are being sent.

Returns
  Boolean value telling whether imdn displayed notifications are being sent.

## ◆ getSendIsComposing()

LINPHONECXX_PUBLIC bool linphone::ImNotifPolicy::getSendIsComposing | ( |  | ) | const

Tell whether is_composing notifications are being sent.

Returns
  Boolean value telling whether is_composing notifications are being sent.

## ◆ setRecvImdnDelivered()

LINPHONECXX_PUBLIC void linphone::ImNotifPolicy::setRecvImdnDelivered | ( | bool | enable | ) |

Enable imdn delivered notifications receiving.

Parameters

  enable | Boolean value telling whether to notify received imdn delivered notifications.

## ◆ setRecvImdnDeliveryError()

LINPHONECXX_PUBLIC void linphone::ImNotifPolicy::setRecvImdnDeliveryError | ( | bool | enable | ) |

Enable imdn delivery error notifications receiving.

Note: Error IMDN must be enabled for Lime recovery mechanism

Parameters

  enable | Boolean value telling whether to notify received imdn delivery error notifications.

## ◆ setRecvImdnDisplayed()

LINPHONECXX_PUBLIC void linphone::ImNotifPolicy::setRecvImdnDisplayed | ( | bool | enable | ) |

Enable imdn displayed notifications receiving.

Parameters

  enable | Boolean value telling whether to notify received imdn displayed notifications.

## ◆ setRecvIsComposing()

LINPHONECXX_PUBLIC void linphone::ImNotifPolicy::setRecvIsComposing | ( | bool | enable | ) |

Enable is_composing notifications receiving.

Parameters

  enable | Boolean value telling whether to notify received is_composing notifications.

## ◆ setSendImdnDelivered()

LINPHONECXX_PUBLIC void linphone::ImNotifPolicy::setSendImdnDelivered | ( | bool | enable | ) |

Enable imdn delivered notifications sending.

Parameters

  enable | Boolean value telling whether to send imdn delivered notifications.

## ◆ setSendImdnDeliveryError()

LINPHONECXX_PUBLIC void linphone::ImNotifPolicy::setSendImdnDeliveryError | ( | bool | enable | ) |

Enable imdn delivery error notifications sending.

Note: Error IMDN must be enabled for Lime recovery mechanism

Parameters

  enable | Boolean value telling whether to send imdn delivery error notifications.

## ◆ setSendImdnDisplayed()

LINPHONECXX_PUBLIC void linphone::ImNotifPolicy::setSendImdnDisplayed | ( | bool | enable | ) |

Enable imdn displayed notifications sending.

Parameters

  enable | Boolean value telling whether to send imdn displayed notifications.

## ◆ setSendIsComposing()

LINPHONECXX_PUBLIC void linphone::ImNotifPolicy::setSendIsComposing | ( | bool | enable | ) |

Enable is_composing notifications sending.

Parameters

  enable | Boolean value telling whether to send is_composing notifications.

The documentation for this class was generated from the following file:

- im_notif_policy.hh